WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] JQuery Meny not working with WP 2.7, somebody help!!! (8 posts)

  1. utrikesperspektiv
    Member
    Posted 5 years ago #

    Hi!

    I've just upgraded our newspaper's website from WP 2.5 to 2.7. Everything seems fine, except one thing -- the java drop-down menu plugin doesn't want to work on the new version (the subcategories do not fall out). I use this plugin: http://weeatbricks.com/2008/01/07/new-wordpress-plugin-for-creating-a-drop-down-navigation-menu-using-jquery/ and the site in question is here: http://www.utrikesperspektiv.se/.

    Is there a way to fix it or is there perhaps a different menu plugin with similar functions (I myself have scoured the web without much luck...). Anyone?

  2. WebDev WaxLotus LLC
    Member
    Posted 5 years ago #

    Hmm,

    hopefully this is the silver bullet ye seek:

    Plugin Name: Use Google Library Javascript
    Plugin URI: http://blog.clearskys.net/2008/05/28/google-ajax-libraries-api-plugin/
    Description: This plugin automatically replaces local calls for javascript libraries for those supported by the Google Library API.

    Have you cleared your cache? Do you use Turbo/Google Gears? Have you tried deleting the contents of wp-content/uploads/js_cache/ ?

  3. utrikesperspektiv
    Member
    Posted 5 years ago #

    Thx for the answer, but it didn't help.

    The plugin does nothing; I don't even have an "uploads" folder in my wp-content folder; I don't use Turbo or Gears. And what do you mean by "clearing my cash" -- the browser cache? :-O No result there either...

    P.S. Sorry, I'm a total n00b at this, so bear with me...

  4. WebDev WaxLotus LLC
    Member
    Posted 5 years ago #

    Hmm, I skipped a basic step.

    Have you tried de/activating the menu plugin?
    Are there settings which need adjusting in some sort of options page? If so, even if you don't want to change any settings, click on a setting and hit update. These small things often work for plugins, sadly.

    I see that the demo page for this plugin is WordPress 2.3.2

    and that the developer's site is WordPress 2.6.1

    It is possible that the plugin is not 2.7.1 ready?

  5. utrikesperspektiv
    Member
    Posted 5 years ago #

    I've tried reactivating it many times, no results.

    Yeah, I kinda have a nagging fear that the thing isn't ready for WP 2.7; problem is there are no other such menus for 2.7, and as you can see I'd have to change the design of the website if I wanted to have a more "normal" menu system... ah, well..

    Thx for the help though!

  6. utrikesperspektiv
    Member
    Posted 5 years ago #

    It couldn't have anything to do with permalinks/the .htaccess-file? I ran into some problems with this during the update...

  7. utrikesperspektiv
    Member
    Posted 5 years ago #

    Nevermind, btw: we solved it by simply installing a different plugin, see here: http://goudendouche.com/plugins/dropdown-menu-plugin/.

  8. WebDev WaxLotus LLC
    Member
    Posted 5 years ago #

    That's great! Whew!

Topic Closed

This topic has been closed to new replies.

About this Topic